kfreebsd-kernel-headers (10.1~3) experimental; urgency=medium

  [ Steven Chamberlain ]
  * 000_bruno_haible.diff: update sys/timex.h diff from upstream:
    - define ntptimeval as ntptimeval4 (Closes: #756786)
    - add missing extern declarations for ntp_adjtime, ntp_gettime
  * Fix regressions that made libgtop2 FTBFS: (Closes: #762372)
    - Replace __FreeBSD_version with __FreeBSD_kernel_version, as was
      the case before 10.0~1.
    - Add sys/_pctrie.h, needed for sys/vnode.h if _KVM_VNODE is
      defined;  add a testcase vnode.c for this
    - New patch containerof.diff:  revert to using member2struct instead
      of __containerof in sys/fs/devfs/devfs_int.h, since the latter not
      unavailable in GNU libc sys/cdefs.h

 -- Christoph Egger <christoph@debian.org>  Sun, 21 Sep 2014 16:25:26 -0700

kfreebsd-kernel-headers (10.1~2) experimental; urgency=medium

  [ Christoph Egger ]
  * Add more pf headers:
    - netpfil/pf/pf_altq.h
    - netpfil/pf/pf.h
  * Add sys/counter.h

  [ Steven Chamberlain ]
  * Add to machine/atomic.h a definition for macro __compiler_membar
    not available in glibc (Closes: #750836)
  * Add net/if_pflog.h (Closes: #756553)
    - add atomic.c testcase (Romain Francoise)
  * Enable testing for -Wimplicit-function-declaration
  * Refresh patches against kfreebsd-source-10.1 10.1~svn271306-1:
    - 000_bruno_haible.diff
    - 005_register_t.diff
    - 009_inetutils.diff
    - net_if_ioctls.diff
  * Add sys/net/flowtable.h

 -- Christoph Egger <christoph@debian.org>  Tue, 16 Sep 2014 20:40:37 -0700

kfreebsd-kernel-headers (10.1~1) experimental; urgency=medium

  * Update for 10.1
  * Add myself to uploaders
  * Move pf_mtag.h to usr/include/netpfil/pf (new location)

 -- Christoph Egger <christoph@debian.org>  Sun, 31 Aug 2014 12:09:39 -0700

kfreebsd-kernel-headers (10.0~5) unstable; urgency=low

  * Adjust testsuite to libc0.1-dev >= 2.18-2.

 -- Robert Millan <rmh@debian.org>  Sat, 22 Mar 2014 16:19:12 +0100

kfreebsd-kernel-headers (10.0~4) experimental; urgency=low

  * Add <net/if.h>, providing only struct ifaliasreq, struct
    oifaliasreq, struct ifmediareq and struct ifdrv. Add a test for
    collisions with GNU <net/if.h>.

 -- Robert Millan <rmh@debian.org>  Mon, 03 Feb 2014 22:51:51 +0100

kfreebsd-kernel-headers (10.0~3) experimental; urgency=low

  * Expose SIZE_T_MAX, OFF_MAX and OFF_MIN. Add limits.c test to verify.
  * Enable FreeBSD-style net80211 ioctls.
  * Add <net/if_pfsync.h>, <net/pfvar.h>, <net/pf_mtag.h>,
    <sys/capability.h>, <sys/procctl.h>.
  * Remove <sys/sdt.h>. When adding it back, it should be in a separate
    package. (Closes: #726248)
  * Add <sys/diskmbr.h>.
  * Add <sys/sf_buf.h>.

 -- Robert Millan <rmh@debian.org>  Mon, 20 Jan 2014 23:44:42 +0100

kfreebsd-kernel-headers (10.0~2) experimental; urgency=low

  * Expose GID_MAX, UID_MAX, UQUAD_MAX, QUAD_MAX and QUAD_MIN.
  * Add <sys/_rmlock.h> (needed by <sys/pcpu.h>).
  * Remove obsolete (and broken) 011_wine.diff.

 -- Robert Millan <rmh@debian.org>  Wed, 15 Jan 2014 17:30:03 +0100

kfreebsd-kernel-headers (10.0~1) experimental; urgency=low

  * New upstream release.
    - Refresh all patches.
    - Update install list with new internal dependencies.
    - Misc adjustments to sed rules to preserve buildability.
    - Add new tests: assert_wchar_size.c and cpuset.c

 -- Robert Millan <rmh@debian.org>  Thu, 02 Jan 2014 13:50:33 +0100

kfreebsd-kernel-headers (9.2~6) unstable; urgency=low

  * Rename MAXLOGNAME to __kernel_MAXLOGNAME to avoid collision with
    Glibc (which now sets MAXLOGNAME to a different value).

 -- Robert Millan <rmh@debian.org>  Thu, 02 Jan 2014 16:20:12 +0100

kfreebsd-kernel-headers (9.2~5) unstable; urgency=low

  [ Guillem Jover ]
  * Remove myself from Uploaders.

  [ Robert Millan ]
  * Add <sys/mac.h>.
  * Add <sys/stdint.h> (as #include stub).
  * Add <sys/signal.h> (in alternate kglue directory), and use it
    internally instead of the userland version.
  * Add <sys/file.h> and verify its buildability and "struct file"
    usability.

 -- Robert Millan <rmh@debian.org>  Sun, 24 Nov 2013 13:38:41 +0100

kfreebsd-kernel-headers (9.2~4) unstable; urgency=low

  * Use stub headers for sys/kern rename instead of symlink.
    (Closes: #725273)

 -- Robert Millan <rmh@debian.org>  Thu, 03 Oct 2013 19:57:08 +0200

kfreebsd-kernel-headers (9.2~3) unstable; urgency=low

  * Remove 026_acpiio.diff (redundant).
  * sys_timex.c: Check <sys/timex.h> buildability.
  * Move <sys/kern> to <sys/kglue/sys> to make its origin clearer and make
    room for <sys/kglue/netinet>, etc.
  * Add <sys/kglue/netinet/if_ether.h> using patch from original port.
  * sys_user.c: Check <sys/user.h> buildability.
  * Simplify asserts using COMPILE_TIME_ASSERT() macro.
  * endian_collision.diff: Fix collisions in endian.h. Verify using
    asserts (test/endian_collision.c).
  * Filter out __used in debian/rules.
  * Install trimmed version of <sys/socket.h> and check for collisions
    in testsuite.
  * Fix sig_atomic_t collision and add sig_atomic_collision.c test.
  * test/type_collision.c: Include all types from glibc that may
    potentially conflict with <sys/kern/types.h>.

 -- Robert Millan <rmh@debian.org>  Wed, 02 Oct 2013 23:52:47 +0200

kfreebsd-kernel-headers (9.2~2) unstable; urgency=high

  * Install <sys/rangelock.h> (now required by <sys/vnode.h>) and add
    header buildability check to testsuite.

 -- Robert Millan <rmh@debian.org>  Fri, 06 Sep 2013 21:58:15 +0200

kfreebsd-kernel-headers (9.2~1) unstable; urgency=low

  * New upstream release.
  * Disable a few function declarations in <sys/types.h> which may
    potentially collide with the ones from Glibc.
  * Use 'defined(__GNUC__)' rather than '1' when replacing __GNUCLIKE_*
    macros.
  * Remove headers with no user-serviceable parts: <sys/eventvar.h>,
    <sys/pipe.h> and <sys/taskqueue.h>.
  * Prevent Glibc ino_t from messing with kernel definition of ino_t
    (from now on known as '__kernel_ino_t').
  * Fix collisions in <sys/queue.h>.

 -- Robert Millan <rmh@debian.org>  Tue, 20 Aug 2013 11:33:06 +0200

kfreebsd-kernel-headers (9.1-3) unstable; urgency=low

  * Restore kldunloadf().

 -- Robert Millan <rmh@debian.org>  Mon, 22 Jul 2013 21:59:35 +0200

kfreebsd-kernel-headers (9.1-2) experimental; urgency=low

  * Bring back DEV_BSIZE, add an assert test to ensure it's consistent
    with DEV_BSHIFT.
  * remove_link_addr_and_link_ntoa.diff: Remove link_addr() and
    link_ntoa() declarations. (Closes: #715320)

 -- Robert Millan <rmh@debian.org>  Tue, 09 Jul 2013 22:27:34 +0200

kfreebsd-kernel-headers (9.1-1) experimental; urgency=low

  * New upstream release.
  * Revert Multiarch switch from last upload. Glibc is not happy about it.

 -- Robert Millan <rmh@debian.org>  Sat, 06 Jul 2013 12:05:58 +0200

kfreebsd-kernel-headers (9.0-1) unstable; urgency=low

  * patches/param_collision.diff: Fix DEV_BSIZE collision (in
    <sys/param.h>).
  * test/termios_collision.c: New testcase, checks for termios
    collisions (see previous fix in rev 4460 / bug #700027).
  * Adapt to Multiarch-style include paths.

 -- Robert Millan <rmh@debian.org>  Thu, 20 Jun 2013 02:09:52 +0200

kfreebsd-kernel-headers (0.84) unstable; urgency=low

  [ Robert Millan ]
  * Strip __FBSDID() from all headers using it (including sctp.h).
    (Closes: #684330)

  [ Petr Salinger ]
  * <sys/sysctl.h> "u_int" -> "unsigned int". Closes: #705407
  * Make <machine/sigframe.h> compilable.

  [ Guillem Jover ]
  * Switch to canonical Vcs URLs.
  * Cleanup Uploaders.
  * Now using Standards-Version 3.9.4 (no changes needed).

  [ Steven Chamberlain ]
  * <sys/filedesc.h> "u_long" -> "unsigned long" for compatibility
    with C99.

 -- Guillem Jover <guillem@debian.org>  Wed, 12 Jun 2013 03:30:26 +0200

kfreebsd-kernel-headers (0.83) unstable; urgency=low

  * Include <sys/termios.h> instead of <sys/_termios.h> from <sys/tty.h>
    so that code including both does not fail to build due to redefinition
    of struct termios. (Closes: #700027)

 -- Guillem Jover <guillem@debian.org>  Thu, 07 Mar 2013 04:41:12 +0100

kfreebsd-kernel-headers (0.82) unstable; urgency=low

  * Convert __GNUCLIKE* feature tests into __GNUC__.  (Closes: #677417)

 -- Robert Millan <rmh@debian.org>  Fri, 29 Jun 2012 21:34:43 +0200

kfreebsd-kernel-headers (0.81) unstable; urgency=low

  * Improve __size_t kludge to make it more compliant with FreeBSD (see
    #673431).
  * Enable "struct bintime" unconditionally, as it is needed by other
    kernel headers.
  * Add test for <sys/devicestat.h> buildability.
  * Unexpose a few more macros which collide with glibc:
    CLOCK_THREAD_CPUTIME_ID, TIMER_RELTIME and TIMER_ABSTIME.
  * Fix NZERO collision.
  * Fix stdarg.h collisions and add a new test (stdarg.c) to detect
    them.
  * Fix unintentional removal of implicit <sys/select.h> include.

 -- Robert Millan <rmh@debian.org>  Fri, 25 May 2012 18:24:52 +0200

kfreebsd-kernel-headers (0.80) unstable; urgency=low

  * Apply s/_SYS_QUEUE_H_/_FREEBSD_SYS_QUEUE_H_/g sed rule to avoid
    collision with GNU <sys/queue.h> header protection.
  * Remove old Biarch support (for -m64) on i386. The rest of toolchain
    doesn't support it, and when it does it'll have to be with Multiarch
    anyway.

 -- Robert Millan <rmh@debian.org>  Sun, 13 May 2012 17:17:57 +0200

kfreebsd-kernel-headers (9.0-1) experimental; urgency=low

  * Install kernel version of <sys/types.h> in an alternate location and
    use it internally for the rest of kernel headers.  Add a pair of new
    tests:
    - type_collision.c: Verify there is no collision with the GNU version
      of <sys/types.h>.
    - uintXX_t.c: Check for uintXX_t type availability (for kernel users).
  * Likewise for <sys/time.h>, <sys/param.h> and <sys/queue.h>.
  * Add -D_GNU_SOURCE to testsuite to probe for collisions more
    aggresively.
  * Fix visibility issues with <sys/limits.h>.
  * Install <sys/elf.h> and add a test to check for conflicts with
    <elf.h>.
  * Remove out[bwl] regex rule. Instead, error out in
    <machine/cpufunc.h> when <sys/io.h> has been included.
  * 011_wine.diff: Only disable ELF declarations that collide with GNU
    ones.

 -- Robert Millan <rmh@debian.org>  Sun, 22 Apr 2012 22:15:29 +0200

kfreebsd-kernel-headers (0.79) unstable; urgency=low

  * Add sed rule to replace __printflike.
  * Do not remove out[bwl] from <machine/cpufunc.h>, rename them instead
    (and rename their users) to avoid conflict with glibc <sys/io.h>.
    This will help un-breaking <machine/bus.h>.
  * Fix misc buildability problems with <machine/bus.h>, and add
    test/bus.c test to verify it.

 -- Robert Millan <rmh@debian.org>  Wed, 18 Apr 2012 23:16:05 +0200

kfreebsd-kernel-headers (0.78) unstable; urgency=low

  * Add <net/ppp_defs.h>, alongside ppp.c test.  (Closes: #663008)
  * Fix buildability of <netinet/in_pcb.h>.  (Closes: #663091)

 -- Robert Millan <rmh@debian.org>  Sat, 17 Mar 2012 23:16:31 +0100

kfreebsd-kernel-headers (0.77) unstable; urgency=low

  * Remove broken checks that have been re-added recently from
    <sys/syslimits.h>

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 27 Feb 2012 08:50:51 +0100

kfreebsd-kernel-headers (0.76) unstable; urgency=low

  * Glibc semantics for out[bwl] are incompatible, even when the types match!
    Dangerous situation here. I'll try to work it out with upstream. For now
    just revert inclusion of <sys/io.h> which makes the problem less likely
    to happen.

 -- Robert Millan <rmh@debian.org>  Sun, 26 Feb 2012 12:20:49 +0100

kfreebsd-kernel-headers (0.75) unstable; urgency=low

  * Actually give preference to local headers in testsuite (use -I
    rather than -isystem).
  * Include <sys/io.h> in <machine/cpufunc.h> (users expect the
    definitions we removed).
  * Fix collisions in <sys/endian.h>.

 -- Robert Millan <rmh@debian.org>  Sat, 25 Feb 2012 12:58:24 +0100

kfreebsd-kernel-headers (0.74) unstable; urgency=low

  * Misc fixes related to machine/cpufunc.h.  (Closes: #660396)
    - Add sed hack to force __CC_SUPPORTS_* == 1.
    - Remove conflicting declarations for inb(), inw(), outb(), etc.
    - Add new test for machine/cpufunc.h (test/cpufunc.c).

 -- Robert Millan <rmh@debian.org>  Tue, 21 Feb 2012 19:22:58 +0100

kfreebsd-kernel-headers (0.73) unstable; urgency=low

  * Fix "kernel of FreeBSD headers" misnomer.
  * Add testsuite (currently checking OSS and USB headers).
  * 034_usb.diff: Remove (unnecessary compat glue).
  * Install sys/_stdint.h.

 -- Robert Millan <rmh@debian.org>  Wed, 15 Feb 2012 22:20:23 +0100

kfreebsd-kernel-headers (0.72) unstable; urgency=low

  * Fix <sys/sysctl.h> by making userland and libc definitions consistent.

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 02 Feb 2012 13:39:18 +0000

kfreebsd-kernel-headers (0.71) unstable; urgency=low

  * Stop providing sys/syscall.h and sys/errno.h. (Closes: #657810,  
    #657926).

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 31 Jan 2012 11:07:36 +0100

kfreebsd-kernel-headers (0.70) unstable; urgency=low

  [ Steven Chamberlain ]
  * Use broader regex to fix all __aligned issues. (Closes: #656562)

  [ Robert Millan ]
  * Generate osreldate.h dynamically with up-to-date information.
  * Add sys/syscall.h and sys/errno.h.
  * Add net/netisr_internal.h.
  * Stop disabling __size_t in <machine/types.h>. The real problem is
    <stddef.h> defining it as an empty macro, thus all headers using
    __size_t are affected. Fix by regex.
  * Add geom/mountver/*.h.
  * Add net/if_bridgevar.h, net/if_gre.h and net/if_lagg.h.

 -- Robert Millan <rmh@debian.org>  Sun, 29 Jan 2012 02:54:18 +0100

kfreebsd-kernel-headers (0.69) unstable; urgency=low

  * Avoid defining __size_t, as this interacts badly with Glibc (which
    defines it as a macro).

 -- Robert Millan <rmh@debian.org>  Sat, 28 Jan 2012 14:39:42 +0100

kfreebsd-kernel-headers (0.68) unstable; urgency=low

  * Add dev/bktr/ioctl_bt848.h and dev/bktr/ioctl_meteor.h.
    (Closes: #657508)

 -- Robert Millan <rmh@debian.org>  Thu, 26 Jan 2012 19:03:11 +0100

kfreebsd-kernel-headers (0.67) unstable; urgency=low

  * Install geom/raid/*.h.
  * s/time_t/__time_t/ in struct bintime.
  * Fix remaining problems affecting <sys/soundcard.h>.  (Closes: #656947)
    - Check for <sys/cdefs.h> using _SYS_CDEFS_H instead of _SYS_CDEFS_H_.
    - Redefine time_t as "long int" to match with Glibc definition.

 -- Robert Millan <rmh@debian.org>  Wed, 25 Jan 2012 22:03:37 +0100

kfreebsd-kernel-headers (0.66) unstable; urgency=low

  * Redefine clock_t as signed to match with Glibc type.  (Closes: #656947)
  * Cleanup and document type collision fixes, merge them into one patch
    (type_collision.diff), discard unnecessary type removal.

 -- Robert Millan <rmh@debian.org>  Mon, 23 Jan 2012 22:23:53 +0100

kfreebsd-kernel-headers (0.65) unstable; urgency=low

  * Add sys/_callout.h, sys/_cpuset.h and sys/_termios.h.
  * 018_sys__types.diff: Remove cpumask_t, add cap_rights_t.
  * ctltype_quad.diff: Backward compatibility for CTLTYPE_QUAD removal
    in rev 217616.

 -- Robert Millan <rmh@debian.org>  Sat, 21 Jan 2012 00:47:29 +0100

kfreebsd-kernel-headers (0.64) unstable; urgency=low

  * Install x86 directory on i386/amd64.
  * Fixup __aligned and u_(char|short|int|long) with sed rules instead
    of patches.  (Closes: #637715)

 -- Robert Millan <rmh@debian.org>  Wed, 18 Jan 2012 19:43:14 +0100

kfreebsd-kernel-headers (0.63) unstable; urgency=low

  * Upgrade to kFreeBSD 9.0.
  * Replace patches that mangle __packed with a generic sed rule.

 -- Robert Millan <rmh@debian.org>  Tue, 17 Jan 2012 20:19:57 +0100

kfreebsd-kernel-headers (0.62) unstable; urgency=low

  * Bring back dev/pci/*.h. Despite that it isn't installed on FreeBSD,
    it is needed by oss4.

 -- Robert Millan <rmh@debian.org>  Wed, 07 Dec 2011 15:22:53 +0100

kfreebsd-kernel-headers (0.61) unstable; urgency=low

  * Remove dev/bktr/*.h, it isn't installed on FreeBSD.
  * Drop conflict on kfreebsd-headers (now a virtual package provided by
    kfreebsd-headers-*).
  * Propagate __FreeBSD_version from sys/param.h to the rest of kernel
    headers.
  * Include <stdint.h> in V4L headers.  (Closes: #649727)

 -- Robert Millan <rmh@debian.org>  Wed, 23 Nov 2011 18:58:18 +0100

kfreebsd-kernel-headers (0.60) unstable; urgency=low

  * Bring back altq/*.h, which was mistakenly removed in 0.58.

 -- Robert Millan <rmh@debian.org>  Wed, 09 Nov 2011 20:00:07 +0100

kfreebsd-kernel-headers (0.59) unstable; urgency=low

  * Add sys/netsmb/*.h.

 -- Robert Millan <rmh@debian.org>  Sat, 05 Nov 2011 21:05:33 +0100

kfreebsd-kernel-headers (0.58) unstable; urgency=low

  * Provide v4l headers (from v4l_compat FreeBSD port).
  * Run same sed hack as the kernel currently does, so that kernel one
    can be removed (eventually).
  * Only extract headers from tarball (since only headers are used).
  * Remove unused cruft.

 -- Robert Millan <rmh@debian.org>  Thu, 03 Nov 2011 15:18:02 +0100

kfreebsd-kernel-headers (0.57) unstable; urgency=low

  * Renable 039_mips_misc.diff.
  * 005_register_t.diff: #include <sys/types.h> in headers that use
    register_t.  (Closes: #637378)
  * 042_sysarch_stubs.diff: Work around missing syscall stubs in libc by
    declaring them as inline functions.  (Closes: #637424)

 -- Robert Millan <rmh@debian.org>  Wed, 17 Aug 2011 11:44:04 +0000

kfreebsd-kernel-headers (0.56) unstable; urgency=low

  * Remove <sys/sbuf.h> again, now that libsbuf-dev provides a usable
    header.
  * Fix gratuitous "#include <sys/sbuf.h>" in <geom/geom.h>.
  * Add sys/fs/nfs/*.h, sys/nfs/*.h and sys/nfsserver/*.h.  (Closes:
    #629562)
  * Add myself to Uploaders.

 -- Robert Millan <rmh@debian.org>  Tue, 28 Jun 2011 18:32:30 +0200

kfreebsd-kernel-headers (0.55) unstable; urgency=low

  * Swap build-arch and build-indep; install-arch and install-indep targets.
  * Use double underscore protected internal types in <sys/ucred.h> so that
    glibc can access them w/o needing to define _BSD_SOURCE. Closes: #629211
  * Make <sys/sbuf.h> usable while libsbuf-dev does not yet provides its own
    version. Closes: #629444

 -- Guillem Jover <guillem@debian.org>  Tue, 07 Jun 2011 07:32:13 +0200

kfreebsd-kernel-headers (0.54) unstable; urgency=low

  [ Petr Salinger ]
  * Based on kfreebsd-source-8.2.
  * Fix __packed in <net80211/ieee80211_ioctl.h> for knemo.
  * Drop <legacy/dev/usb/usb.h>.

  [ Robert Millan ]
  * Add <sys/kerneldump.h> for savecore (freebsd-utils).
  * Start MIPS support.

  [ Guillem Jover ]
  * Unpack the kfreebsd-source tarball directly into the top package
    source directory.
  * Now using Standards-Version 3.9.2 (no changes needed).
  * Add <sys/_semaphore.h> and <sys/cpuset.h> for <sys/sysproto.h>.
    For now <sys/acl.h> is not included, and libacl-dev should probably
    be used instead, but it might lack needed definitions. Closes: #593553
  * Add <netinet/pim.h>. Closes: #595901
  * Switch to debhelper compatibility level 7.
    - Use dh_prep instead of deprecated “dh_clean -k”.
  * Remove unused debhelper commands from debian/rules.
  * Switch to source format “3.0 (native)”.
  * Add build-arch, build-indep, install-arch and install-indep targets
    to debian/rules.

 -- Guillem Jover <guillem@debian.org>  Thu, 26 May 2011 02:41:12 +0200

kfreebsd-kernel-headers (0.53) unstable; urgency=low

  * Fix <machine/apm_bios.h> by including <stdint.h>.

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 31 Jul 2010 07:37:48 +0200

kfreebsd-kernel-headers (0.52) unstable; urgency=low

  * Build-depends on kfreebsd-source-8.1 (>= 8.1-2):
    - Use xz source format.
    - Provide <machine/apm_bios.h>

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 30 Jul 2010 22:10:51 +0200

kfreebsd-kernel-headers (0.51) unstable; urgency=low

  * Add <sys/refcount.h> (closes: bug#590730).

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 29 Jul 2010 01:59:31 +0200

kfreebsd-kernel-headers (0.50) unstable; urgency=low

  * Add <sys/sdt.h> (closes: bug#590628).

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 28 Jul 2010 20:15:24 +0200

kfreebsd-kernel-headers (0.49) unstable; urgency=low

  [ Petr Salinger ]
  * Based on kfreebsd-source-8.1
  * debian/includes.list: update for kfreebsd-8.1

  [ Aurelien Jarno ]
  * Bump Standards-Version to 3.9.1.
  * Update debian/copyright.

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 27 Jul 2010 16:42:07 +0200

kfreebsd-kernel-headers (0.48) unstable; urgency=low

  * Add #include <stdint.h> into <net80211/_ieee80211.h> (closes: bug#
    569628).

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 13 Feb 2010 13:27:11 +0100

kfreebsd-kernel-headers (0.47) unstable; urgency=low

  * Replace __GNUCLIKE* preprocessor tests with __GNUC__.
  * Add ${misc:Depends} to depends.

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 29 Jan 2010 12:13:19 +0100

kfreebsd-kernel-headers (0.46) unstable; urgency=low

  [ Petr Salinger ]
  * Add <legacy/dev/usb/usb.h>
  * Add #include <stdint.h> into <dev/ciss/cissio.h>

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 14 Dec 2009 07:36:36 +0100

kfreebsd-kernel-headers (0.45) unstable; urgency=low

  [ Petr Salinger ]
  * Small backward compatibility in <dev/usb/usb.h>
  * Fix for libgtop2
  * Include <sys/param.h> from <machine/_types.h>

  [ Aurelien Jarno ]
  * Fix for net-snmp.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 06 Dec 2009 14:07:58 +0100

kfreebsd-kernel-headers (0.44) unstable; urgency=low

  * Install <sys/_lockmgr.h>.
  * Install <cam/ata/*.h>.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 29 Nov 2009 16:43:29 +0100

kfreebsd-kernel-headers (0.43) unstable; urgency=low

  [ Petr Salinger ]
  * Based on kfreebsd-source-8.0
  * debian/includes.list: update for kfreebsd-8.0, netstat

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 28 Nov 2009 09:28:12 +0100

kfreebsd-kernel-headers (0.42) unstable; urgency=low

  [ John Stamp ]
  * add missing semicolon in <net/if_var.h>
    Closes: #547777

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 22 Sep 2009 15:49:20 +0200

kfreebsd-kernel-headers (0.41) unstable; urgency=low

  [ Petr Salinger ]
  * fix <sys/devicestat.h>, needed by icecc
  * allow inclusion of <net/if_var.h>, <ifaddrs.h> in both orders

  [ Aurelien Jarno ]
  * Add README.source.
  * Bump Standards-Version to 3.8.3.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 13 Sep 2009 10:08:09 +0200

kfreebsd-kernel-headers (0.40) unstable; urgency=low

  * Install <sys/kenv.h> at the right location.

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 31 Aug 2009 14:43:56 +0200

kfreebsd-kernel-headers (0.39) unstable; urgency=low

  [ Aurelien Jarno ]
  * export <sys/kenv.h>.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 30 Aug 2009 20:39:30 +0200

kfreebsd-kernel-headers (0.38) unstable; urgency=low

  [ Petr Salinger ]
  * fix <net/route.h>, needed by nmap.
  * fix <sys/rtprio.h>, needed by kdebase-workspace
  * fix <machine-i386/cpufunc.h>, needed by piklab

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 22 Aug 2009 18:55:28 +0200

kfreebsd-kernel-headers (0.37) unstable; urgency=low

  * Export <sys/endian.h>.

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 12 Aug 2009 18:37:41 +0200

kfreebsd-kernel-headers (0.36) unstable; urgency=low

  [ Petr Salinger ]
  * fix <dev/ciss/cissio.h>, needed by smartmontools.

  [ Aurelien Jarno ]
  * export sysctlnametomib() in <sys/sysctl.h>.

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 24 Jul 2009 16:29:07 +0200

kfreebsd-kernel-headers (0.35) unstable; urgency=low

  [ Petr Salinger ]
  * add #include <stdint.h> into <sys/pciio.h>
    Closes: #535243.

  [ Cyril Brulebois ]
  * Add myself to Uploaders.
  * Bump Standards-Version to 3.8.2 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 03 Jul 2009 03:00:44 +0200

kfreebsd-kernel-headers (0.34) unstable; urgency=low

  [ Petr Salinger ]
  * fixup i386/include/pcb.h
  * fixup Vcs-Browse field

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 15 Jun 2009 09:59:13 +0200

kfreebsd-kernel-headers (0.33) unstable; urgency=low

  [ Petr Salinger ]
  * Based on kfreebsd-source-7.2
  * define types cpuwhich_t, cpulevel_t, cpusetid_t
  * add Vcs-* fields into debian/control.

  [ Aurelien Jarno ]
  * Install <sys/bitstring.h>.
  * debian/control: switch to section kernel.
  * Bumped Standards-Version to 3.8.1 (no changes).
  * Use debhelper to create directories.
  * Use debhelper to install headers.

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 02 Jun 2009 11:20:17 +0200

kfreebsd-kernel-headers (0.32) unstable; urgency=low

  * Upload to unstable.
  * Switch to debhelper 5.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 05 Apr 2009 15:58:50 +0200

kfreebsd-kernel-headers (0.31) unreleased; urgency=low

  [ Petr Salinger ]
  * Based on kfreebsd-source-7.1
  * debian/includes.list: update for kfreebsd-7.1

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 05 Jan 2009 10:15:55 +0100

kfreebsd-kernel-headers (0.30) unreleased; urgency=low

  * debian/patches/*: convert to patchlevel p1 as requested by the new
    dpkg-source.
  * debian/includes.list: update for kfreebsd-7.
  * debian/links: provide a compat symlink for usr/include/isofs/cd9660.

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 06 Aug 2008 22:08:02 +0200

kfreebsd-kernel-headers (0.29) unreleased; urgency=low

  [ Petr Salinger ]
  * Based on kfreebsd-source-7.0

  [ Aurelien Jarno ]
  * Bumped Standards-Version to 3.8.0 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 03 Jul 2008 13:53:56 +0200

kfreebsd-kernel-headers (0.28) unreleased; urgency=low

  [ Petr Salinger ]
  * vnode.h fix needed by libgtop2

  [ Aurelien Jarno ]
  * Fix debian/copyright.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 30 Mar 2008 18:52:50 +0200

kfreebsd-kernel-headers (0.27) unreleased; urgency=low

  [ Petr Salinger ]
  * Add build-dependency on quilt, and use quilt in debian/rules
  * Based on kfreebsd-source-6.3
  * Export <sys/lock_profile.h> and <sys/_sx.h>, needed by newer kvm
  * fixes needed by libgtop2

  [ Aurelien Jarno ]
  * Bumped Standards-Version to 3.7.3 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 09 Jan 2008 16:41:04 +0100

kfreebsd-kernel-headers (0.26) unreleased; urgency=low

  [ Petr Salinger ]
  * based on kfreebsd-source-6.2
  * export <sys/tree.h> and <net/pfvar.h>, needed by pf

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 15 Jan 2007 12:28:21 +0100

kfreebsd-kernel-headers (0.25) unreleased; urgency=low

  * Add bi-arch support for i386 and amd64.
  * Bumped build-dependency on kfreebsd-source-6.1 to (>= 6.1-3)
    to make sure the CVS/ directories are removed.

 -- Aurelien Jarno <aurel32@debian.org>  Mon,  1 Jan 2007 23:23:37 +0100

kfreebsd-kernel-headers (0.24) unreleased; urgency=low

  * Small fix for kfreebsd-amd64.

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 13 Dec 2006 20:25:40 +0100

kfreebsd-kernel-headers (0.23) unreleased; urgency=low

  [ Petr Salinger ]
  * mini cleanup
  * fix <sys/fbio.h>, would be needed by fixed elinks
  * fix <sys/conf.h>, would be needed by fixed soundmodem

 -- Aurelien Jarno <aurel32@debian.org>  Thu,  7 Dec 2006 12:37:06 +0100

kfreebsd-kernel-headers (0.22) unreleased; urgency=low

  [ Petr Salinger ]
  * sync <sys/ioccom.h> with <sys/ioctl.h>, needed by darkice due to "-pedantic"
  * fix  <sys/iconv.h>,  needed by wv2
  * fix  <dev/acpica/acpiio.h>, needed by gnome-applets
  * move <sys/ktrace.h> from libc0.1-dev

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 22 Nov 2006 14:53:41 +0100

kfreebsd-kernel-headers (0.21) unreleased; urgency=low

  [ Petr Salinger ]
  * fix <sys/ata.h>, needed by smartmontools

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 14 Nov 2006 17:09:17 +0100

kfreebsd-kernel-headers (0.20) unreleased; urgency=low

  [ Petr Salinger ]
  * based on kfreebsd-source-6.1
  * export headers from bsm subdir
  * fix <sys/buf.h>, <net80211/ieee80211.h>

  [ Aurelien Jarno ]
  * Bumped Standards-Version to 3.7.2 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Tue,  5 Sep 2006 01:04:45 +0200

kfreebsd-kernel-headers (0.18) unreleased; urgency=low

  [ Petr Salinger ]
  * workaround glibc behaviour of __CONCAT() macro
  * drop 004_sys_ioctl_compat_h.diff
  * misc cleanup of patches

  [ Robert Millan ]
  Fixes by Andraz (Note: his "z" is actualy a "caron z" thingy, he really wanted
  me to write that down ;):
  * Add sys/iconv.h.
  * patches/004_stdint_h.diff:  Include <stdint.h> for ieee80211.h.

  [ Aurelien Jarno ]
  * 012_strace.diff:  Misc amd64 fixes.

 -- Robert Millan <rmh@aybabtu.com>  Wed,  3 May 2006 22:17:48 +0200

kfreebsd-kernel-headers (0.17) unreleased; urgency=low

  * 015_cam.diff:  Misc amd64 fixes.

 -- Robert Millan <rmh@aybabtu.com>  Wed, 29 Mar 2006 20:31:45 +0200

kfreebsd-kernel-headers (0.16) unreleased; urgency=low

  [ Robert Millan ]
  * control (Architecture): Add kfreebsd-amd64.
  * patches/011_wine.diff: Add more elf header fixes.
  * Fix altq path (it's in sys/contrib/ now).
  * Install full nfsclient dir.
  * Add sys/mdioctl.h (needed for mdconfig).

  [ Aurelien Jarno ]
  * Remove sys/acl.h, it should be provided by libacl instead.
  * Fix machine/_types.h on kfreebsd-amd64 the same way as on kfreebsd-i386.

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 20 Mar 2006 18:59:21 +0100

kfreebsd-kernel-headers (0.15) unreleased; urgency=low

  * patches/007_kvm.diff: Remove second hunk (not needed, and actualy
    breaks stuff).
  * includes.list: Add sys/lockmgr.h, and altq, ufs and vm as complete
    directories.

 -- Robert Millan <rmh@aybabtu.com>  Thu, 16 Feb 2006 13:17:38 +0100

kfreebsd-kernel-headers (0.14) unreleased; urgency=low

  * Remove sys/dirent.h.

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 18 Jan 2006 11:36:20 +0100

kfreebsd-kernel-headers (0.13) unreleased; urgency=low

  * Remove a lot of file from netinet6/in6.h.

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 16 Jan 2006 20:31:01 +0100

kfreebsd-kernel-headers (0.12) unreleased; urgency=low

  [ Petr Salinger ]
  * define EXEC_PAGESIZE, it enables mmap() in glibc libio

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 16 Jan 2006 15:49:05 +0100

kfreebsd-kernel-headers (0.11) unreleased; urgency=low

  * Don't provide net ethernet.h, now provided by the glibc.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 15 Jan 2006 00:17:38 +0100

kfreebsd-kernel-headers (0.10) unreleased; urgency=low

  * Removed some parts of the sys/_types.h patch that are now included
    in the glibc.

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 11 Jan 2006 23:17:01 +0100

kfreebsd-kernel-headers (0.09) unreleased; urgency=low

  * Fixed osreldate.h
  * Removed files that are now shipped by the glibc:
    - net/if.h
    - netinet/igmp.h
    - netinet/in_systm.h
    - netinet/ip.h
    - sys/param.h
    - sys/socketvar.h
  * Also remove the associated files.

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 23 Dec 2005 00:34:19 +0100

kfreebsd-kernel-headers (0.08) unreleased; urgency=low

  * Added sys/nlist_aout.h.

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 20 Dec 2005 22:09:00 +0100

kfreebsd-kernel-headers (0.07) unreleased; urgency=low

  * Fixed sys/proc.h (Patch by Petr Salinger).
  * Added sys/condvar.h, sys/sx.h, vm/vm.h, vm/pmap.h and vm/vm_map.h.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 18 Dec 2005 02:13:32 +0100

kfreebsd-kernel-headers (0.06) unreleased; urgency=low

  * Added opencrypto/ and the crypto/ symlink

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 11 Oct 2005 01:28:00 +0200

kfreebsd-kernel-headers (0.05) unreleased; urgency=low

  * Added vm/vm_param.h
  * Added net80211/

 -- Aurelien Jarno <aurel32@debian.org>  Sun,  2 Oct 2005 23:31:09 +0200

kfreebsd-kernel-headers (0.04) unreleased; urgency=low

  * Added 017_ip_packed.diff.

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 22 Sep 2005 01:17:45 +0200

kfreebsd-kernel-headers (0.03) unreleased; urgency=low

  [ Aurelien Jarno ]
  * Based on kfreebsd-source-5.4

  [ Robert Millan ]
  * patches/016_sys_param_h.diff:  Nuke BSD, BSD4_3 and BSD4_4 from sys/param.h.

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 17 Sep 2005 01:36:36 +0200

kfreebsd-kernel-headers (0.02) unreleased; urgency=low

  * includes.list: Add geom, sys/_iovec.h, sys/_timeval.h, sys/timespec.h,
    sys/ktr.h and sys/bio.h.
  * patches/015_cam.diff: Fixes for building libcam.

 -- Robert Millan <rmh@aybabtu.com>  Mon, 22 Aug 2005 19:15:25 +0200

kfreebsd-kernel-headers (0.01) unreleased; urgency=low

  * New package replacing kfreebsd-headers.

 -- Aurelien Jarno <aurel32@debian.org>  Mon,  1 Aug 2005 23:48:55 +0200
